Subject: Superfluous brackets in sysext sysexts "recycler”, "reports”, "rsaauth" and "rtehtmlarea” after namespaces
move

Description

The following syntax appears in various parts of these extensions:

- if ((('$root && 1$DBmount) && $elFromTable) && $GLOBALS['TCA'[$table]['ctrl']['sortby']) {
+ if (I$root && !1$DBmount && $elFromTable && $GLOBALS[' TCA"|[$table]['ctrl']['sortby") {

Associated revisions

Revision ec08ae68 - 2012-09-17 19:17 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts
Removes superfluous parenthesis in sysexts "recycler", "reports",
"rsaauth" and "rtehtmlarea".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: 15786043a52ea50477072c82e039179272e6692ca
Resolves: #40969

Related: #40095

Reviewed-on: http:/review.typo3.org/14628

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-16 22:25 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14628

#2 - 2012-09-17 19:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ec08ae6854393aee4350ab683261415244e501d8.
